const figlet = require("figlet")
const promisify = require('util.promisify')

const convert = (text, font) => promisify(figlet.text)(text, font).then(text => {
  return JSON.stringify(text)
    .slice(1, -1)
    .split(/\\n/g)
    .map(s => `console.log(\'  ${s}')`)
    .join('\n')
})

convert('Hello, World!', 'Broadway KB').then(console.log);

const R = require("ramda")

const convert2 = R.pipeP(
  promisify(figlet.text),
  JSON.stringify,
  R.slice(1, -1),
  R.split(/\\n/g),
  R.map(s => `console.log(\'  ${s}')`),
  R.join('\n'),
)

convert2('Hello, World!', 'Broadway KB').then(console.log);
